linux-keystone: 3.13.0-17.27 -proposed tracker

Bug #1386864 reported by Brad Figg on 2014-10-28
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Ike Panhc
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-keystone (Ubuntu)
Medium
Unassigned
Trusty
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.13.0-17.27 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 28. October 2014 20:01 UTC
kernel-stable-master-bug:1386629
kernel-stable-Certification-testing-end:Wednesday, 29. October 2014 09:00 UTC
kernel-stable-Security-signoff-end:Wednesday, 29. October 2014 09:00 UTC
kernel-stable-Prepare-package-end:Monday, 03. November 2014 17:56 UTC
kernel-stable-Promote-to-proposed-start:Monday, 03. November 2014 17:56 UTC
ppa-package-testing-start:Monday, 03. November 2014 17:57 UTC
kernel-stable-Promote-to-proposed-end:Monday, 03. November 2014 20:00 UTC
kernel-stable-Verification-testing-start:Monday, 03. November 2014 21:01 UTC
kernel-stable-Regression-testing-start:Monday, 03. November 2014 21:01 UTC
kernel-stable-phase:CopyToUpdates
kernel-stable-phase-changed:Tuesday, 04. November 2014 02:05 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 04. November 2014 02:05 UTC
kernel-stable-Regression-testing-end:Tuesday, 04. November 2014 02:05 UTC

This tracking bug was opened to be worked from linux-3.13.0-39.66 update (bug 1386629)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu):
importance: Undecided → Medium
Changed in linux-keystone (Ubuntu Trusty):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-10-29
summary: - linux-keystone: <version to be filled> -proposed tracker
+ linux-keystone: 3.13.0-17.27 -proposed tracker
description: updated
Changed in linux-keystone (Ubuntu Trusty):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in linux-keystone (Ubuntu):
status: New → Invalid
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2014-10-29
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-11-03
description: updated
Brad Figg (brad-figg) on 2014-11-03
description: updated
Ike Panhc (ikepanhc) on 2014-11-04
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-11-04
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-keystone - 3.13.0-17.27

---------------
linux-keystone (3.13.0-17.27) trusty; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1386864
  * Rebase to Ubuntu-3.13.0-39.66

  [ Upstream Kernel Changes ]

  * rapidio: keystone: fix lock-up condition with DIO and packet forwarding
    - LP: #1387056
  * rapidio: Remove duplicate entry from Makefile
    - LP: #1387056
  * rapidio: keystone: move SerDes functions in a separate file and rework
    port init sequence
    - LP: #1387056

  [ Ubuntu: 3.13.0-39.66 ]

  * Release Tracking Bug
    - LP: #1386629
  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * KVM: x86: Fix wrong masking on relative jump/call
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Warn if guest virtual address space is not 48-bits
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - LP: #1384545
    - CVE-2014-3647
  * kvm: vmx: handle invvpid vm exit gracefully
    - LP: #1384544
    - CVE-2014-3646
  * Input: synaptics - gate forcepad support by DMI check
    - LP: #1381815
 -- Ike Panhc <email address hidden> Wed, 29 Oct 2014 14:48:28 +0800

Changed in linux-keystone (Ubuntu Trusty):
status: In Progress → Fix Released
Ike Panhc (ikepanhc) on 2014-11-04
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers